package cn.pluss.platform.vo;

import java.io.Serializable;
/**
 * 推广分润vo
 * @author yuchen
 * 
 * @Description 
 *
 */
public class PromoteFenRunVO implements Serializable {

	/** 
	* @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么) 
	*/
	private static final long serialVersionUID = 1L;
	
	       //不可提现总金额
			private Double sumMerchantNotAllowCashMoney;
			//已经成功提现
			private Double sumMerChantAreadlyCash;
			//已经被提现的金额
			private Double sumMerChantSuccessCash;
			//可提现金额
			private Double allowCashMoney;
			//今日分润
			private Double sumNowDayShareMoney;
			//累计分润
			private Double sumAllShareMoney;
			//你的下级作为商户的 今日分润
			private Double sumMerChantNowDayShareMoney;
			//你的下级作为商户的 累计分润
			private Double sumMerChantAllShareMoney;
			//升级之后的今日利润
			private Double sumNowDayShareMoneyLevel;
			//升级之后的累计分润
			private Double sumAllShareMoneyLevel;
			public Double getSumMerchantNotAllowCashMoney() {
				return sumMerchantNotAllowCashMoney;
			}
			public void setSumMerchantNotAllowCashMoney(Double sumMerchantNotAllowCashMoney) {
				this.sumMerchantNotAllowCashMoney = sumMerchantNotAllowCashMoney;
			}
			public Double getSumMerChantAreadlyCash() {
				return sumMerChantAreadlyCash;
			}
			public void setSumMerChantAreadlyCash(Double sumMerChantAreadlyCash) {
				this.sumMerChantAreadlyCash = sumMerChantAreadlyCash;
			}
			public Double getSumMerChantSuccessCash() {
				return sumMerChantSuccessCash;
			}
			public void setSumMerChantSuccessCash(Double sumMerChantSuccessCash) {
				this.sumMerChantSuccessCash = sumMerChantSuccessCash;
			}
			public Double getAllowCashMoney() {
				return allowCashMoney;
			}
			public void setAllowCashMoney(Double allowCashMoney) {
				this.allowCashMoney = allowCashMoney;
			}
			public Double getSumNowDayShareMoney() {
				return sumNowDayShareMoney;
			}
			public void setSumNowDayShareMoney(Double sumNowDayShareMoney) {
				this.sumNowDayShareMoney = sumNowDayShareMoney;
			}
			public Double getSumAllShareMoney() {
				return sumAllShareMoney;
			}
			public void setSumAllShareMoney(Double sumAllShareMoney) {
				this.sumAllShareMoney = sumAllShareMoney;
			}
			public Double getSumMerChantNowDayShareMoney() {
				return sumMerChantNowDayShareMoney;
			}
			public void setSumMerChantNowDayShareMoney(Double sumMerChantNowDayShareMoney) {
				this.sumMerChantNowDayShareMoney = sumMerChantNowDayShareMoney;
			}
			public Double getSumMerChantAllShareMoney() {
				return sumMerChantAllShareMoney;
			}
			public void setSumMerChantAllShareMoney(Double sumMerChantAllShareMoney) {
				this.sumMerChantAllShareMoney = sumMerChantAllShareMoney;
			}
			public Double getSumNowDayShareMoneyLevel() {
				return sumNowDayShareMoneyLevel;
			}
			public void setSumNowDayShareMoneyLevel(Double sumNowDayShareMoneyLevel) {
				this.sumNowDayShareMoneyLevel = sumNowDayShareMoneyLevel;
			}
			public Double getSumAllShareMoneyLevel() {
				return sumAllShareMoneyLevel;
			}
			public void setSumAllShareMoneyLevel(Double sumAllShareMoneyLevel) {
				this.sumAllShareMoneyLevel = sumAllShareMoneyLevel;
			}
			
			
	

}
